libapreq2-2.08: libapreq2: Data Fields

Apache HTTP Server Request Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages
- Examples

- File List
- Globals

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Defines

- a

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - a -

- APR_EBADARG : apreq_error.h
- apreq_args() : apreq_module.h
- apreq_args_get() : apreq_module.h
- apreq_atoi64f() : apreq_util.h
- apreq_atoi64t() : apreq_util.h
- apreq_attr_to_type : apreq.h
- apreq_body() : apreq_module.h
- apreq_body_get() : apreq_module.h
- apreq_brigade_concat() : apreq_util.h
- apreq_brigade_copy() : apreq_util.h
- apreq_brigade_fwrite() : apreq_util.h
- apreq_brigade_limit_get() : apreq_module.h
- apreq_brigade_limit_set() : apreq_module.h
- apreq_brigade_move() : apreq_util.h
- apreq_brigade_setaside() : apreq_util.h
- apreq_brigade_spoolfile() : apreq_util.h
- APREQ_CHARSET_BIT : apreq.h
- apreq_charset_divine() : apreq_util.h
- APREQ_CHARSET_MASK : apreq.h
- apreq_charset_t : apreq.h
- apreq_cookie : apreq_module.h
- apreq_cookie_as_string() : apreq_cookie.h
- apreq_cookie_expires() : apreq_cookie.h
- apreq_cookie_is_secure() : apreq_cookie.h
- apreq_cookie_is_tainted() : apreq_cookie.h
- apreq_cookie_make() : apreq_cookie.h
- APREQ_COOKIE_MAX_LENGTH : apreq_cookie.h
- APREQ_COOKIE_SECURE_BIT : apreq.h
- APREQ_COOKIE_SECURE_MASK : apreq.h
- apreq_cookie_secure_off() : apreq_cookie.h
- apreq_cookie_secure_on() : apreq_cookie.h
- apreq_cookie_serialize() : apreq_cookie.h
- apreq_cookie_tainted_off() : apreq_cookie.h
- apreq_cookie_tainted_on() : apreq_cookie.h
- apreq_cookie_version() : apreq_cookie.h
- APREQ_COOKIE_VERSION_BIT : apreq.h
- APREQ_COOKIE_VERSION_MASK : apreq.h
- apreq_cookie_version_set() : apreq_cookie.h
- apreq_cookies() : apreq_module.h
- apreq_cp1252_to_utf8() : apreq_util.h
- APREQ_DECLARE : apreq.h
- APREQ_DECLARE_DATA : apreq.h
- APREQ_DECLARE_HOOK : apreq_parser.h
- APREQ_DECLARE_NONSTD : apreq.h
- APREQ_DECLARE_PARSER : apreq_parser.h
- apreq_decode() : apreq_util.h
- apreq_decodev() : apreq_util.h
- APREQ_DEFAULT_BRIGADE_LIMIT : apreq.h
- APREQ_DEFAULT_NELTS : apreq.h
- APREQ_DEFAULT_READ_BLOCK_SIZE : apreq.h
- APREQ_DEFAULT_READ_LIMIT : apreq.h
- apreq_encode() : apreq_util.h
- APREQ_ERROR_BADATTR : apreq_error.h
- APREQ_ERROR_BADCHAR : apreq_error.h
- APREQ_ERROR_BADDATA : apreq_error.h
- APREQ_ERROR_BADHEADER : apreq_error.h
- APREQ_ERROR_BADSEQ : apreq_error.h
- APREQ_ERROR_BADUTF8 : apreq_error.h
- APREQ_ERROR_GENERAL : apreq_error.h
- APREQ_ERROR_INTERRUPT : apreq_error.h
- APREQ_ERROR_MISMATCH : apreq_error.h
- APREQ_ERROR_NOATTR : apreq_error.h
- APREQ_ERROR_NODATA : apreq_error.h
- APREQ_ERROR_NOHEADER : apreq_error.h
- APREQ_ERROR_NOPARSER : apreq_error.h
- APREQ_ERROR_NOTEMPTY : apreq_error.h
- APREQ_ERROR_NOTOKEN : apreq_error.h
- APREQ_ERROR_OVERLIMIT : apreq_error.h
- APREQ_ERROR_TAINTED : apreq_error.h
- APREQ_ERROR_UNDERLIMIT : apreq_error.h
- apreq_escape() : apreq_util.h
- APREQ_EXPIRES_HTTP : apreq.h
- APREQ_EXPIRES_NSCOOKIE : apreq.h
- apreq_expires_t : apreq.h
- apreq_file_mktemp() : apreq_util.h
- APREQ_FLAGS_GET : apreq.h
- APREQ_FLAGS_OFF : apreq.h
- APREQ_FLAGS_ON : apreq.h
- APREQ_FLAGS_SET : apreq.h
- apreq_handle_cgi() : apreq_module.h
- apreq_handle_custom() : apreq_module.h
- apreq_header_attribute() : apreq_util.h
- apreq_hook_add() : apreq_module.h
- APREQ_HOOK_ARGS : apreq_parser.h
- apreq_hook_function_t : apreq_parser.h
- apreq_hook_make() : apreq_parser.h
- apreq_hook_run() : apreq_parser.h
- apreq_hook_t : apreq_parser.h
- apreq_index() : apreq_util.h
- apreq_initialize() : apreq.h
- APREQ_IS_DEV_STRING : apreq_version.h
- apreq_jar() : apreq_module.h
- apreq_jar_get() : apreq_module.h
- apreq_join() : apreq_util.h
- APREQ_JOIN_AS_IS : apreq.h
- APREQ_JOIN_DECODE : apreq.h
- APREQ_JOIN_ENCODE : apreq.h
- APREQ_JOIN_QUOTE : apreq.h
- apreq_join_t : apreq.h
- APREQ_MAJOR_VERSION : apreq_version.h
- APREQ_MATCH_FULL : apreq.h
- APREQ_MATCH_PARTIAL : apreq.h
- apreq_match_t : apreq.h
- APREQ_MINOR_VERSION : apreq_version.h
- APREQ_MODULE : apreq_module.h
- apreq_module_status_is_error() : apreq_module.h
- apreq_param() : apreq_module.h
- apreq_param_charset_get() : apreq_param.h
- apreq_param_charset_set() : apreq_param.h
- apreq_param_decode() : apreq_param.h
- apreq_param_encode() : apreq_param.h
- apreq_param_is_tainted() : apreq_param.h
- apreq_param_make() : apreq_param.h
- apreq_param_tainted_off() : apreq_param.h
- apreq_param_tainted_on() : apreq_param.h
- apreq_params() : apreq_module.h
- apreq_params_as_array() : apreq_param.h
- apreq_params_as_string() : apreq_param.h
- apreq_parse_cookie_header() : apreq_cookie.h
- apreq_parse_query_string() : apreq_param.h
- apreq_parser() : apreq_parser.h
- apreq_parser_add_hook() : apreq_parser.h
- APREQ_PARSER_ARGS : apreq_parser.h
- apreq_parser_function_t : apreq_parser.h
- apreq_parser_get() : apreq_module.h
- apreq_parser_make() : apreq_parser.h
- apreq_parser_run() : apreq_parser.h
- apreq_parser_set() : apreq_module.h
- apreq_parser_t : apreq_parser.h
- APREQ_PATCH_VERSION : apreq_version.h
- apreq_post_initialize() : apreq.h
- apreq_pre_initialize() : apreq.h
- apreq_quote() : apreq_util.h
- apreq_quote_once() : apreq_util.h
- apreq_read_limit_get() : apreq_module.h
- apreq_read_limit_set() : apreq_module.h
- apreq_register_parser() : apreq_parser.h
- apreq_strerror() : apreq_error.h
- APREQ_TAINTED_BIT : apreq.h
- APREQ_TAINTED_MASK : apreq.h
- apreq_temp_dir_get() : apreq_module.h
- apreq_temp_dir_set() : apreq_module.h
- apreq_unescape() : apreq_util.h
- apreq_upload() : apreq_param.h
- apreq_uploads() : apreq_param.h
- apreq_value_table_add() : apreq.h
- apreq_value_to_cookie() : apreq_cookie.h
- apreq_value_to_param() : apreq_param.h
- apreq_version() : apreq_version.h
- APREQ_VERSION_STRING : apreq_version.h
- apreq_version_string() : apreq_version.h